.TH wxStaticBoxSizer 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxStaticBoxSizer \- See external documentation: wxStaticBoxSizer\&.
.SH DESCRIPTION
.LP
See external documentation: wxStaticBoxSizer <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticboxsizer\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxBoxSizer 
.br
wxSizer 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxStaticBoxSizer()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(X::integer() | term(), X::term() | integer()) -> wxStaticBoxSizer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticboxsizer\&.html#wxstaticboxsizerwxstaticboxsizer>\&. 
.br
 Alternatives: 
.LP
\fI new(Orient::integer(), Win::wxWindow:wxWindow()) -> new(Orient, Win, []) \fR
.LP
\fI new(Box::wxStaticBox:wxStaticBox(), Orient::integer()) -> wxStaticBoxSizer() \fR 
.RE
.LP
.B
new(Orient::integer(), Win::wxWindow() (see module wxWindow), Options::[Option]) -> wxStaticBoxSizer()
.br
.RS
.TP
Types
Option = {label, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticboxsizer\&.html#wxstaticboxsizerwxstaticboxsizer>\&.
.RE
.LP
.B
getStaticBox(This::wxStaticBoxSizer()) -> wxStaticBox() (see module wxStaticBox)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticboxsizer\&.html#wxstaticboxsizergetstaticbox>\&.
.RE
.LP
.B
destroy(This::wxStaticBoxSizer()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
